%global pmname	xmltool
%global ppname	mycila
Name:           %{ppname}-%{pmname}
Version:        4.2.ga
Release:        %mkrel 4
Summary:        Very simple Java library to do common operations with an XML document

Group:          Development/Tools
License:        ASL 2.0 MIT
URL:            https://github.com/mycila/xmltool
BuildArch:      noarch

Source0:		https://github.com/mycila/xmltool/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  junit
BuildRequires:  mycila-pom
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

Requires: java-headless

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides javadoc for -%{summary}.



%description
XMLTool is a very simple Java library to be able to do all sorts of common
operations with an XML document. As a Java developer, I often end up writing
the always the same code for processing XML, transforming, ... So i decided to
put all in a very easy to use class using the Fluent Interface pattern to
facilitate XML manipulations.
 *  Create new XML documents from external sources or new document from scrash
 *  Manage namespaces
 *  Manipulating nodes (add, remove, rename)
 *  Manipulating data (add, remove text or CDATA)
 *  Navigate into the document with shortcuts and XPath (note: XPath supports namespaces)
 *  Tranform an XMlDoc instance to a String or a Document
 *  Validate your document against schemas
 *  Executin callbacks on a hierarchy
 *  Remove all namspaces (namespace ignoring)
 *  ... and a lot of other features !

%prep
%setup -q -n %{pmname}-%{name}-%{version}
%pom_remove_dep junit:junit-dep
%pom_add_dep    junit:junit

# fix build failure. 'useDefaultManifestFile' has been removed from the maven-jar-plugin >= 3.0.0
%pom_remove_plugin :maven-jar-plugin

%build
#unluckily, some tests fails:(
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md


%files javadoc -f .mfiles-javadoc
%doc README.md




%changelog
* Sun May 21 2017 neoclust <neoclust> 4.2.ga-4.mga6
+ Revision: 1103805
- Fix Build with new maven-jar-plugin
- Fix BuildRequires
- Second rebuild of the java stack

* Wed Feb 24 2016 daviddavid <daviddavid> 4.2.ga-2.mga6
+ Revision: 978655
- First rebuild of the java stack

  + neoclust <neoclust>
    - imported package mycila-xmltool


* Tue Feb 03 2015 Zdenek Zambersky <zzambers@redhat.com> 4.2.ga-1
- initial rpm